
%define major 3

%define libname %mklibname smesh %{major}
%define develname %mklibname smesh -d


Name:           smesh
Version:        6.7.5
Release:        %mkrel 2
Group:          Graphics
Summary:        OpenCascade based MESH framework
License:        LGPLv2
URL:            https://github.com/tpaviot/smesh
Source0:        %{name}-%{version}.tar.xz


BuildRequires:  cmake
BuildRequires:  doxygen
BuildRequires:  graphviz
BuildRequires:  oce
BuildRequires:  oce-devel
BuildRequires:  boost-devel
BuildRequires:  gcc-gfortran
BuildRequires:  f2c
BuildRequires:  f2c-devel
BuildRequires:  dos2unix
# New BRs
BuildRequires:  tbb-devel
BuildRequires:  libsm-devel
BuildRequires:  libx11-devel
BuildRequires:  libxext-devel
BuildRequires:  mesaglu-devel
BuildRequires:  freetype-devel
BuildRequires:  freeimage-devel

# Dependencies for optional NETGETPlugin library.
#BuildRequires:  netgen-mesh-devel
#BuildRequires:  netgen-mesh-devel-private


%description
A complete OpenCascade based MESH framework.

NOTE: Fortran support (f2c) has been disabled. If it is needed please open a
bug against the smesh component  at: http://bugzilla.redhat.com

%package -n %{libname}
Group:		System/Libraries
Summary:        OpenCascade based MESH framework

%description -n %{libname}
A complete OpenCascade based MESH framework.

%package -n %{develname}
Group:		Development/Libraries
Summary:        Development files for %{name}
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{develname}
Development files and headers for %{name}.

%package doc
Summary:        Development documentation for %{name}
Group:		Documentation
Requires:       %{libname}
BuildArch:      noarch

%description doc
Development documentation for %{name}.


%prep
%setup -q -n %{name}-%{version}

rm -rf boost*

dos2unix -k LICENCE.lgpl.txt


%build
LDFLAGS='-Wl,--as-needed'; export LDFLAGS
%cmake -DCMAKE_BUILD_TYPE=RelWithDebInfo \
       -DMONOLITHIC_BUILD=OFF \
       -DSMESH_TESTING=ON \
       ../

make %{?_smp_mflags}

# Build documentation
make doc


%install
pushd build
%make_install


%files -n %{libname}
%doc LICENCE.lgpl.txt
%{_libdir}/*.so.*
%exclude %{_docdir}/smesh/html


%files -n %{develname}
%{_includedir}/*
%{_libdir}/lib*.so

%files doc
%{_docdir}/smesh/html

%changelog
* Tue Sep 12 2017 bb2 <bb2> - 6.7.5-2pclos2017
- rebuild against updates

* Mon Sep 04 2017 bb2 <bb2> - 6.7.5.1pclos2017
- new version
- new gcc

* Tue Jun 09 2015 gseaman <galen.seaman at comcast.net> - 6.5.3.1-1gseaman2015
- build for PCLinuxOS from Fedora spec
- fix package in proper library format (tex)
